
import 'dart:async';

import 'package:flutter/services.dart';

class OpatechClearsaleFlutter {
  static const MethodChannel _channel =
      const MethodChannel('opatech_clearsale_flutter');

  static Future<String> get sessionId async {
    try {
      return await _channel.invokeMethod('getBehaviourSessionId');
    } on PlatformException catch (e) {
      throw e;
    }
  }

  static Future<void> config(String fingerPrint) async {
    return await _channel.invokeMethod('config', <String, dynamic> {
      'fingerPrint': fingerPrint
    });
  }

  
}
